<?php

require_once '../includes/start.php';
require_once '../includes/function.php';
require_once '../includes/header1.php';
if($game==0 OR $level==0 OR $ban!=0){
		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
}else{
$a=$_GET['a'];
$q = mysql_query("SELECT * FROM `army` WHERE `id`='".check(mysql_real_escape_string($a))."'");
$f = mysql_fetch_array($q);
$s = mysql_query("SELECT * FROM `planet` WHERE `x`='".$f['x']."' AND `y`='".$f['y']."'");
$p = mysql_fetch_array($s);


$onpl = mysql_result(mysql_query("SELECT COUNT(*) FROM `sosed` WHERE `uid1`='".$use_id."' AND `uid2`='".$p['uid']."' AND `planet`='".$p['id']."' AND `war`=1;"), 0);
$locpl = mysql_result(mysql_query("SELECT (uid) FROM `planet_loc` WHERE `x`='".$f['xpl']."' AND `y`='".$f['ypl']."' AND `planet_id`='".$p['id']."';"), 0);
$h = mysql_query("SELECT * FROM `users` WHERE `id`='".$locpl."'");
$u = mysql_fetch_array($h);
$lotr = mysql_result(mysql_query("SELECT COUNT(*) FROM `army` WHERE `xpl`='".$f['xpl']."' AND `ypl`='".$f['ypl']."' AND `onpl`='".$p['id']."' AND `uid`!='".$use_id."' AND (`fr_id`!='".$fr_id."' OR `fr_id`=0);"), 0);

if($p['uid']==$use_id){
$h = mysql_query("SELECT * FROM `war` WHERE `uid1`='".$locpl."' AND `uid2`='".$use_id."' AND `planet`='".$p['id']."'");
$w = mysql_fetch_array($h);
}

if($p['uid']!=$use_id AND $locpl==$p['uid']){
$h = mysql_query("SELECT * FROM `war` WHERE `uid1`='".$use_id."' AND `uid2`='".$locpl."' AND `planet`='".$p['id']."'");
$w = mysql_fetch_array($h);
}

if($p['uid']!=$use_id AND $locpl!=$p['uid']){
$h = mysql_query("SELECT * FROM `war` WHERE `uid2`='".$p['uid']."' AND `uid1`='".$locpl."' AND `planet`='".$p['id']."'");
$w = mysql_fetch_array($h);
}

	echo '<div class="top">Захват локации x:'.$f['xpl'].' y:'.$f['ypl'].' планеты '.rasa($p['rasa']).' <span class="'.crasa($p['rasa']).'">'.$p['name'].'</span></div>';
	if($locpl!=$use_id AND ($onpl==1 OR $p['uid']==$use_id) AND $f['time']<$realtime){
	if($tmarat > $realtime AND $use_id!=$p['uid']){echo '<div class="conts">На вас действует силовое поле!<br/>Вы сможете захватить эту локацию не раньше '.dates($tmarat).'</div>';}else{
	if($u['tmarat'] > $realtime AND $use_id!=$p['uid']){echo '<div class="conts">На владельца локации '.rasa($u['rasa']).' <a href="../p/anketa.php?id='.$u['id'].'"><span class="'.crasa($u['rasa']).'">'.$u['login'].'</span></a> действует силовое поле!<br/>Вы сможете захватить ее не раньше '.dates($u['tmarat']).'</div>';}else{
	if($lotr==0){
	echo '<div class="conts">';
	echo 'Ваш отряд '.rasa($f['rasa']).' <span class="'.crasa($f['rasa']).'">'.$f['name'].'</span> захватил локацию!<br/>';
	if($w['uid1']==$use_id){
	mysql_query("UPDATE `planet_loc` SET `uid`='".$use_id."', `occupy`=1 WHERE `x`='".$f['xpl']."' AND `y`='".$f['ypl']."' AND `planet_id`='".$p['id']."';");
	mysql_query("UPDATE `war` SET `zahv`=zahv+1 WHERE `id`='".$w['id']."';");
	mysql_query("INSERT INTO `doklad` SET `uid`='".$w['uid2']."', `time`='" . time() . "', `type`=4, `text`='Локация x:".$f['xpl']." y:".$f['ypl']." планеты <b>".$p['name']."</b> была захвачена отрядом <b>".$f['name']."</b> игрока <b>".$login."</b>';");

	echo 'Теперь вы контролируете '.($w['zahv']+1).' локаций планеты '.rasa($p['rasa']).' <span class="'.crasa($p['rasa']).'">'.$p['name'].'</span> игрока '.rasa($w['rasa2']).' <a href="../p/anketa.php?id='.$w['uid2'].'"><span class="'.crasa($w['rasa2']).'">'.$w['login2'].'</span></a>';
	}

	if($w['uid2']==$use_id){
	mysql_query("UPDATE `planet_loc` SET `uid`='".$use_id."', `occupy`=0 WHERE `x`='".$f['xpl']."' AND `y`='".$f['ypl']."' AND `planet_id`='".$p['id']."';");
	mysql_query("UPDATE `war` SET `zahv`=zahv-1 WHERE `id`='".$w['id']."';");
	mysql_query("INSERT INTO `doklad` SET `uid`='".$w['uid1']."', `time`='" . time() . "', `type`=4, `text`='Локация x:".$f['xpl']." y:".$f['ypl']." планеты <b>".$p['name']."</b> была отбита отрядом <b>".$f['name']."</b> игрока <b>".$login."</b>';");
	
	echo 'Теперь игрок '.rasa($w['rasa1']).' <a href="../p/anketa.php?id='.$w['uid1'].'"><span class="'.crasa($w['rasa1']).'">'.$w['login1'].'</span></a> контролирует '.($w['zahv']-1).' локаций вашей планеты '.rasa($p['rasa']).' <span class="'.crasa($p['rasa']).'">'.$p['name'].'</span>';
	}
	
	
	if($w['uid1']!=$use_id AND $w['uid2']!=$use_id){
	$warcount = mysql_result(mysql_query("SELECT (id) FROM `war` WHERE `uid1`='".$use_id."' AND `uid2`='".$p['uid']."' AND `planet`='".$p['id']."';"), 0);
	mysql_query("UPDATE `planet_loc` SET `uid`='".$use_id."', `occupy`=1 WHERE `x`='".$f['xpl']."' AND `y`='".$f['ypl']."' AND `planet_id`='".$p['id']."';");
	mysql_query("UPDATE `war` SET `zahv`=zahv-1 WHERE `id`='".$w['id']."';");
	mysql_query("UPDATE `war` SET `zahv`=zahv+1 WHERE `id`='".$warcount."';");
	mysql_query("INSERT INTO `doklad` SET `uid`='".$w['uid1']."', `time`='" . time() . "', `type`=4, `text`='Локация x:".$f['xpl']." y:".$f['ypl']." планеты <b>".$p['name']."</b> была отбита отрядом <b>".$f['name']."</b> игрока <b>".$login."</b>';");
	
	echo 'Теперь игрок '.rasa($w['rasa1']).' <a href="../p/anketa.php?id='.$w['uid1'].'"><span class="'.crasa($w['rasa1']).'">'.$w['login1'].'</span></a> контролирует '.($w['zahv']-1).' локаций планеты '.rasa($p['rasa']).' <span class="'.crasa($p['rasa']).'">'.$p['name'].'</span>';
	}
	echo '</div>';
	
	}else{echo '<div class="conts">Вы не можете захватить локацию пока на ней находятся вражеские отряды</div>';}}
	
	}}
	echo '<div class="conts"><a href="../game/pl_army.php?act=a&amp;a='.$f['id'].'"><<Назад</a></div>';
}
echo '<div class="razd"></div>';
echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
echo '<div class="razd"></div>';
require_once '../includes/footer1.php';
?>
